## cutefish-wallpapers-1.0-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(cutefish-wallpapers)

add_subdirectory(sources)

=== sources/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(unsplash-wallpapers)

set(BACKGROUNDS
	default.jpg
	wallpaper-1.jpg
	wallpaper-2.jpg
	wallpaper-3.jpg
	wallpaper-4.jpg
	wallpaper-5.jpg
	wallpaper-6.jpg
	wallpaper-7.jpg
	wallpaper-8.jpg
	wallpaper-9.jpg
)

install(FILES ${BACKGROUNDS} DESTINATION /usr/share/backgrounds/cutefishos)

=== debian/changelog ===
cutefish-wallpapers (0.5) UNRELEASED; urgency=low

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Thu, 16 Sep 2021 02:31:42 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=cutefish-wallpapers
pkgver=1.0
pkgrel=2
pkgdesc="CutefishOS's system wallpaper"
arch=('any')
url="https://github.com/cutefishos/wallpapers"
license=('GPL')
groups=('cutefish')
depends=()
makedepends=('cmake' 'ninja')
source=("https://github.com/cutefishos/wallpapers/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('ea4d4d236b62993d2f5e3fb057fee50928318445da6e645703d637492fde0393c398d31aaed23d7274a88846452190c2b55868561e5c674520238033b77d1804')

build() {
  cd wallpapers-$pkgver

  cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr .
  ninja
}

package() {
  cd wallpapers-$pkgver
  DESTDIR="$pkgdir" ninja install
}

=== debian/control ===
Source: cutefish-wallpapers
Section: devel
Priority: optional
Maintainer: CutefishOS <support@cutefishos.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules
Standards-Version: 4.5.0
Homepage: https://cutefishos.com

Package: cutefish-wallpapers
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS Wallpapers

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DEMBED_TRANSLATIONS=ON -DBUILD_TESTING=ON
